# ZMQContext::getOpt

(PECL zmq >= 1.0.4)

ZMQContext::getOpt — Obtener la opción de contexto

### Descripción

public ZMQContext::getOpt(string `$key`): mixed

Devuelve el valor de una opción de contexto.

### Parámetros

`key`

  Un entero que representa la opción. Véanse las constantes `ZMQ::CTXOPT_*`.

### Valores devueltos

Devuelve un string o un int, dependiendo de `key`. Lanza una ZMQContextException en caso de error.